Katello - Bug #15216

Installer fails if Satellite hosthame doesn't have a TLD at the end of the domain
05/27/2016 12:52 PM - Bryan Kearney
Assignee: Mike McCune
Category: Installer
Target version: Katello Recycle Bin
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1127307 Red Hat JIRA:
Pull request: https://github.com/Katello/katello-installer
/pull/348
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1127307
Users with domains containing hyphens are unable to install Satellite 6, they get errors during installation:

[root@sat6 ~]# katello-installer

/Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[sat6.test.example-domain]: Could not evaluate: 500 Internal Server
Error

Installing Done [100%)]

We need to determine why Satellite 6 can't be installed on systems with a domain including a hyphen and support this use case.
Steps to reproduce:

1) Setup a system who's domain name resolves to something with a hyphen:

sat6test.example-domain.com

2) Attempt to run katello-installer

3) note errors

History

#1 - 05/27/2016 12:58 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello-installer/pull/348 added

#2 - 06/16/2016 01:26 PM - Justin Sherrill
- Priority changed from High to Normal

#3 - 06/22/2016 01:27 PM - Justin Sherrill
- translation missing: en.field_release set to 114

- Difficulty set to easy

#4 - 07/29/2016 09:50 AM - Stephen Benjamin
- Status changed from Ready For Testing to Rejected

The attached bugzilla was closed, so closing this. The underlying cause of the reported error is not clear, reopen if we determine the cause of this.

#5 - 06/17/2020 06:02 PM - Jonathon Turel

- Target version changed from Katello Backlog to Katello Recycle Bin
